Bug 248860 - www/wt: Update to 4.4.0
Summary: www/wt: Update to 4.4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-23 22:02 UTC by Mohammad S. Babaei
Modified: 2020-09-04 13:17 UTC (History)
0 users

See Also:


Attachments
www/wt v4.3.1 to v4.4.0 patch file (2.09 KB, patch)
2020-08-23 22:02 UTC, Mohammad S. Babaei
info: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mohammad S. Babaei 2020-08-23 22:02:59 UTC
Created attachment 217467 [details]
www/wt v4.3.1 to v4.4.0 patch file

Release 4.4.0 (August 3, 2020)

Wt 4.4.0 adds a couple of new features, like multiple X axes, and WColorPicker, among other fixes and tweaks.
Security related

Wt now rejects GET requests for Ajax-enabled sessions that are not for resources, as an extra means to prevent session hijacking attempts. Patch provided by Bruce Toll in issue #7585.
Major new features

    WCartesianChart: similar to how Wt 4.0.4 added support for multiple Y axes, Wt 4.4.0 adds support for multiple X axes, too. Instead of trying to squeeze another int argument into functions like WCartesianChart::map, we decided to add overloads that take two WAxis references.
    Added WColorPicker: a simple form widget that display a browser-native color picker. Patch provided in PR #158.

Minor features

    Wt::Dbo:
        PR #161: added support for ON UPDATE RESTRICT and ON DELETE RESTRICT foreign key constraints in Wt::Dbo.
        DBO_INSTANTIATE_TEMPLATES and the DBO_EXTERN_TEMPLATES macros used to be disabled with Visual Studio since they wouldn't work with old versions of Visual Studio. We reenabled those macros, since they've been working for a while now.
        Added orWhere.
    WFileResource: added a log message when failing to open a file. Previously, it would not be very clear why nothing was downloaded.
    Added the MIME type for .txt files to wthttp, so that they are displayed in the browser rather than prompt a download.
    All of the properties that Wt uses are now listed in the default wt_config.xml to make it easier to get an overview of all of them without having to find them in the reference documentation.

Updates

    PR #162: Updated included Bootstrap 3 version to 3.4.1 (from 3.3.7)

Bug fixes

    Wt:: Auth:
        Issue #7518: previously, it was not possible to set AbstractStrengthValidator to non-mandatory. This has now been fixed. It now also correctly reports InvalidEmpty when the input is left empty.
        Fixed an issue where slots connected to Login::changed() would still have the old session id, which would afterwards be updated, causing resource urls created in the slot to have the wrong session id.
    WPaintedWidget: fixed an issue where combining incremental painting (PaintFlag::Update) with images could cause the first paint event to be discarded, resulting in an incomplete result.
    Previously, having multiple instances of WGoogleMap could cause JavaScript errors. This has now been resolved.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-08-24 02:56:58 UTC
^Triage: [tags] in issue Titles are deprecated
Comment 2 Mohammad S. Babaei 2020-08-25 15:08:40 UTC
Thank you did not know that.
Comment 3 commit-hook freebsd_committer 2020-09-04 13:16:45 UTC
A commit references this bug:

Author: swills
Date: Fri Sep  4 13:16:38 UTC 2020
New revision: 547540
URL: https://svnweb.freebsd.org/changeset/ports/547540

Log:
  www/wt: Update to 4.4.0

  PR:		248860
  Submitted by:	Mohammad S. Babaei <info@babaei.net> (maintainer)

Changes:
  head/www/wt/Makefile
  head/www/wt/distinfo
  head/www/wt/pkg-plist
Comment 4 Steve Wills freebsd_committer 2020-09-04 13:17:46 UTC
Committed, thanks!